package com.ruoyi.web.work.service;

import java.util.List;

import com.ruoyi.web.work.domain.Report;
import com.ruoyi.web.work.domain.Request;
import com.ruoyi.web.work.domain.Result;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @author lsw
 * @date 2024-07-23
 */
public interface IResultService extends IService<Result>{
    List<Result> selectList(Result result);


    List<Result> getResultByCard(String card);

    List<Result> getAllResultByPatId(Long patId);

    //根据检测报告ID获取报告结果
    List<Result> getObxResultByObrId(String obrId);

    //根据检测项目ORC_ID申请报告单
    Report getOrcReportByObcId(String orcId);
}
